Katello - Bug #7116

Installation Media is missing after kickstart is synchronized
08/15/2014 04:10 PM - Partha Aji

Status: Closed
Priority: Normal
Assignee: Partha Aji
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1130577 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/458
9
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1130577
Description of problem:

After synchronizing a few kickstart repos (RHEL 5, 6, 7 x86_64/i386) | noticed that even though | have all 3 listed as available OSes
in the Ul, they have no installation media associated with them. Visiting Content > Installation Media doesn't show anything related to
my kickstart channels either.

Version-Release number of selected component (if applicable):

Browser:

¢ Satellite-6.0.4-RHEL-6-20140813.2

Packages:

candlepin-0.9.23-1.el7.noarch
candlepin-common-1.0.1-1.el7.noarch
candlepin-guice-3.0-2_redhat_1.el7.noarch
candlepin-scl-1-5.el7.noarch
candlepin-scl-quartz-2.1.5-6.el7.noarch
candlepin-scl-rhino-1.7R3-3.el7.noarch
candlepin-scl-runtime-1-5.el7.noarch
candlepin-selinux-0.9.23-1.el7.noarch
candlepin-tomcat-0.9.23-1.el7.noarch
elasticsearch-0.90.10-4.el7sat.noarch
foreman-1.6.0.40-1.el7sat.noarch
foreman-compute-1.6.0.40-1.el7sat.noarch
foreman-gce-1.6.0.40-1.el7sat.noarch
foreman-libvirt-1.6.0.40-1.el7sat.noarch
foreman-ovirt-1.6.0.40-1.el7sat.noarch
foreman-postgresql-1.6.0.40-1.el7sat.noarch
foreman-proxy-1.6.0.27-1.el7sat.noarch
foreman-selinux-1.6.0.6-1.el7sat.noarch
foreman-vmware-1.6.0.40-1.el7sat.noarch
katello-1.5.0-28.el7sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el7sat.noarch
katello-installer-0.0.59-1.el7sat.noarch
openldap-2.4.39-3.el7.x86_64
pulp-katello-0.3-3.el7sat.noarch
pulp-nodes-common-2.4.0-0.30.beta.el7sat.noarch
pulp-nodes-parent-2.4.0-0.30.beta.el7sat.noarch
pulp-puppet-plugins-2.4.0-0.30.beta.el7sat.noarch
pulp-puppet-tools-2.4.0-0.30.beta.el7sat.noarch
pulp-rpm-plugins-2.4.0-0.30.beta.el7sat.noarch
pulp-selinux-2.4.0-0.30.beta.el7sat.noarch
pulp-server-2.4.0-0.30.beta.el7sat.noarch
python-ldap-2.4.6-6.el7.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el7sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el7sat.noarch
rubygem-hammer_cli-0.1.1-11.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.1-15.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-3.el7sat.noarch
rubygem-hammer_cli_katello-0.0.4-12.el7sat.noarch

How reproducible:

Steps to Reproduce:

1. Synchronize a RHEL kickstart channel

2. Visit Content > Installation Media

3.

Actual results:

There's no entry for the kickstart channel that was synced

Expected results:

Additional info:

Associated revisions

Revision e8c57c14 - 08/18/2014 10:16 AM - Partha Aji
Fixes #7116/bz1130577- Adding install media after repo sync

Before this commit the installation media was missing after kickstart repo was synced,
This commit fixes that issue.

Revision adfca73a - 08/18/2014 06:18 PM - Partha Aji
Merge pull request #4589 from parthaa/install-media

Fixes #7116/bz1130577- Adding install media after repo sync

History

#1 - 08/15/2014 04:18 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4589 added
- Pull request deleted ()

#2 - 08/17/2014 02:27 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/18/2014 08:34 AM - Eric Helms

- Target version changed from 54 to 55

#4 - 08/18/2014 07:02 PM - Partha Aji
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
Applied in changeset katello|e8c57¢1437200285e53b53f62588bfcf49ee91bc.

#5 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13
